
preprocess_fmrs();

/* Function that can be used in a script for slice scan time correction of several FMR projects, using an array and a loop.
	From: BrainVoyager QX Getting Scripted Guide chapter 6, 
	http://support.brainvoyager.com/documents/Automation_Development/Writing_Scripts/gettingscriptedguideforbvqx_v02.pdf
*/
function preprocess_fmrs() {

	var fmrnames = new Array(3); 
	fmrnames[0] = "C:/Data/run1.fmr"; 
	fmrnames[1] = "C:/Data/run2.fmr"; 
	fmrnames[2] = "C:/Data/run3.fmr"; 
	var counter; 
	for (counter = 0; counter < fmrnames.length; counter++) {
		var fmrproject = BrainVoyagerQX.OpenDocument(fmrnames[counter]); 
		var success = fmrproject.CorrectSliceTiming(2,1); 
		var nameofslicetimecorrectedfmr = fmrproject.FileNameOfPreprocessdFMR; 
		fmrproject.Close();
	}
}